import * as t from 'drizzle-orm/pg-core';
import { timestamps } from '../util';
import { competitions } from './competitions';

export const bracketTypes = t.pgEnum('bracket_type', ['WINNER', 'LOSER', 'CONSOLATION', 'MAIN']);

export const brackets = t.pgTable('brackets', {
	id: t.uuid('id').primaryKey().defaultRandom(),
	name: t.text('name').notNull(),
	bracketType: bracketTypes('bracket_type').notNull(),
	position: t.integer('position').default(1).notNull(),
	isActive: t.boolean('is_active').default(true).notNull(),
	competition_id: t
		.uuid('competition_id')
		.notNull()
		.references(() => competitions.id, { onDelete: 'cascade' }),
	...timestamps
});
